import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * Diese Klasse implementiert ein Briefprogramm.
 * 
 * @author tebe
 */
public class Briefprogramm {

  /**
   * main Methode.
   * @param args Es werden keine Kommandozeilenparameter verwendet
   */
	public static void main(String[] args) {

		// Ihr Code fuer das Briefprogramm:
		// Erzeugen Sie Inhalte und Adressen und drucken Sie 
		// einen Brief sowie einen Serienbrief

		Brief brief = new Brief(
				new Adresse("Roman", "Schenk",
				"Toggenburgstrasse", 31,
				8245, "Feuerthalen"),
				new Adresse("Vorname", "Nachname",
						"Strasse", 1,
						8222, "Ort"),
				new Inhalt(new GregorianCalendar(2021, 12, 23), "Titel", "Herr", "Beispieltext"));

		BriefdruckStrategie briefdruckStrategie = new FensterBriefDruckStrategie();
		Briefdrucker briefdrucker = new Briefdrucker(briefdruckStrategie);
		briefdrucker.druckeBrief(brief);
	}
}