public class StandartBriefDruckStrategie implements BriefdruckStrategie{
    @Override
    public String druckeBrief(Brief brief) {
        String output = "";
        output += druckeAbsender(brief.getSender());
        output += "\n";
        output += druckeEmpfaenger(brief.getEmpfaenger());
        output += "\n";
        output += druckeInhalt(brief.getInhalt());
        return output;
    }

    protected String druckeEmpfaenger(Adresse adresse){
        return druckeAdresseLinks(adresse);
    }

    protected String druckeAbsender(Adresse adresse){
        return druckeAdresseLinks(adresse);
    }

    private String druckeAdresseLinks(Adresse adresse){
        String output = adresse.getVorname() + " " + adresse.getNachname() + "\n" +
                adresse.getStrasse() + " " + adresse.getHausnummer() + "\n" +
                adresse.getPlz() + " " + adresse.getOrt();
        return output;
    }

    private String druckeInhalt(Inhalt inhalt){
        String output = "Datum: " + String.format("%1$td.%1$tm.%1$tY", inhalt.getDatum()) + "\n" +
                inhalt.getTitel() + "\n" +
                inhalt.getAnrede() + "\n" +
                inhalt.getText();
        return output;
    }
}
